Bug 109604 - (TB3fbf821d) TB GUI_functions.py:524:gui_run_dialog:OSError: [Errno 1] Operation not permitted
TB GUI_functions.py:524:gui_run_dialog:OSError: [Errno 1] Operation not permi...
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
i586 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
: 110516 114441 114724 121546 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-11-09 22:03 EST by Adam Jenkins
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-08 12:15:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dump file (1.99 KB, application/octet-stream)
2003-11-09 22:05 EST, Adam Jenkins
no flags Details
python traceback (2.19 KB, text/plain)
2004-05-11 13:15 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Adam Jenkins 2003-11-09 22:03:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.1)

Description of problem:
Seems like it's related to access.  Was logged in as root but
authenticated with root password.

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Steps to Reproduce:
Will try later to reproduce it.  Strange, the Network Configuration
window shows ppp0 as Inactive even though it's active.  Maybe it's
just showing the settings of the profile?

Additional info:
Comment 1 Adam Jenkins 2003-11-09 22:05:09 EST
Created attachment 95864 [details]
dump file
Comment 2 Harald Hoyer 2003-11-25 10:20:00 EST
Traceback (most recent call last):
  File "/usr/bin/redhat-control-network", line 184, in
    (ret, msg) = dev.activate()
line 385, in activate
    dialog = dialog)
line 512, in generic_run_dialog
    dialog = dialog)
line 524, in gui_run_dialog
OSError: [Errno 1] Operation not permitted

Local variables in innermost frame:
fdin: []
swindow: <gtk.ScrolledWindow object (GtkScrolledWindow) at 0x959e924>
string: <module 'string' from '/usr/lib/python2.2/string.pyc'>
okbutton: <gtk.Button object (GtkButton) at 0x95afe84>
buffer: <gtk.TextBuffer object (GtkTextBuffer) at 0x95b019c>
cancelbutton: <gtk.Button object (GtkButton) at 0x959ef24>
command: /sbin/ifup
argv: ['/sbin/ifup', 'netbay', 'up']
searchPath: 0
label: Activating network device netbay, please wait...
lbl: <gtk.Label object (GtkLabel) at 0x959e8fc>
select: <module 'select' from
stdin: 0
xml: <gtk.glade.XML object (GladeXML) at 0x9596e84>
catchfd: (1, 2)
fderr: []
dlg: <gtk.Dialog object (GtkDialog) at 0x959e8d4>
errlabel: Cannot activate network device netbay!

fdout: []
root: /
gtk: <module 'gtk' from
CancelException: netconfpkg.gui.GUI_functions.CancelException
mark: <gtk.TextMark object (GtkTextMark) at 0x95b03b4>
write: 4
read: 3
s: 1
childpid: 1907
closefd: -1
dialog: None
title: redhat-config-network:

Network device activating...
os: <module 'os' from '/usr/lib/python2.2/os.pyc'>
textview: <gtk.TextView object (GtkTextView) at 0x95af4cc>
Comment 3 Harald Hoyer 2003-11-25 10:50:33 EST
*** Bug 110516 has been marked as a duplicate of this bug. ***
Comment 4 Harald Hoyer 2004-01-28 08:28:44 EST
*** Bug 114441 has been marked as a duplicate of this bug. ***
Comment 5 Harald Hoyer 2004-02-02 03:36:53 EST
*** Bug 114724 has been marked as a duplicate of this bug. ***
Comment 6 Orion Poplawski 2004-05-11 13:15:45 EDT
Created attachment 100154 [details]
python traceback

I can reproduce via "redhat-control-network" run as a user.  If I start a dhcp
interface that for some reason cannot find a dhcp server and I click on cancel
to abort the operation it crashes.
Comment 7 Harald Hoyer 2004-05-24 05:47:03 EDT
*** Bug 121546 has been marked as a duplicate of this bug. ***
Comment 8 petrosyan 2004-10-16 11:29:15 EDT
I can't reproduce this bug in Fedora Core development anymore

Note You need to log in before you can comment on or make changes to this bug.